> For the complete documentation index, see [llms.txt](https://docs.usemoon.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.usemoon.ai/sdks/python/erc4337api.md).

# Erc4337Api

## moonsdk.Erc4337Api

All URIs are relative to *<https://moon-vault-api-git-ew-supabase-migration-moonup.vercel.app>*

| Method                                                          | HTTP request                                             | Description |
| --------------------------------------------------------------- | -------------------------------------------------------- | ----------- |
| [**get\_address**](#get_address)                                | **POST** /erc4337/{accountName}/address                  |             |
| [**sign\_broadcast\_user\_op\_tx**](#sign_broadcast_user_op_tx) | **POST** /erc4337/{accountName}/sign-broadcast-userop-tx |             |

## **get\_address**

> AccountAPIResponse get\_address(authorization, account\_name, input\_body)

#### Example

* Api Key Authentication (ApiKeyAuth):
* Api Key Authentication (BearerAuth):

```python
import time
import os
import moonsdk
from moonsdk.models.account_api_response import AccountAPIResponse
from moonsdk.models.input_body import InputBody
from moonsdk.rest import ApiException
from pprint import pprint

# Defining the host is optional and defaults to https://moon-vault-api-git-ew-supabase-migration-moonup.vercel.app
# See configuration.py for a list of all supported configuration parameters.
configuration = moonsdk.Configuration(
    host = "https://moon-vault-api-git-ew-supabase-migration-moonup.vercel.app"
)

# The client must configure the authentication and authorization parameters
# in accordance with the API server security policy.
# Examples for each auth method are provided below, use the example that
# satisfies your auth use case.

# Configure API key authorization: ApiKeyAuth
configuration.api_key['ApiKeyAuth'] = os.environ["API_KEY"]

# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['ApiKeyAuth'] = 'Bearer'

# Configure API key authorization: BearerAuth
configuration.api_key['BearerAuth'] = os.environ["API_KEY"]

# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['BearerAuth'] = 'Bearer'

# Enter a context with an instance of the API client
async with moonsdk.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = moonsdk.Erc4337Api(api_client)
    authorization = 'authorization_example' # str | 
    account_name = 'account_name_example' # str | 
    input_body = moonsdk.InputBody() # InputBody | 

    try:
        api_response = await api_instance.get_address(authorization, account_name, input_body)
        print("The response of Erc4337Api->get_address:\n")
        pprint(api_response)
    except Exception as e:
        print("Exception when calling Erc4337Api->get_address: %s\n" % e)
```

#### Parameters

| Name              | Type                                       | Description | Notes |
| ----------------- | ------------------------------------------ | ----------- | ----- |
| **authorization** | **str**                                    |             |       |
| **account\_name** | **str**                                    |             |       |
| **input\_body**   | [**InputBody**](/sdks/python/inputbody.md) |             |       |

#### Return type

[**AccountAPIResponse**](/sdks/python/accountapiresponse.md)

#### Authorization

[ApiKeyAuth](/sdks/python.md#ApiKeyAuth), [BearerAuth](/sdks/python.md#BearerAuth)

#### HTTP request headers

* **Content-Type**: application/json
* **Accept**: application/json

#### HTTP response details

| Status code | Description | Response headers |
| ----------- | ----------- | ---------------- |
| **200**     | Ok          | -                |

[\[Back to top\]](/sdks/python/erc4337api.md) [\[Back to API list\]](/sdks/python.md#documentation-for-api-endpoints) [\[Back to Model list\]](/sdks/python.md#documentation-for-models) [\[Back to README\]](/sdks/python.md)

## **sign\_broadcast\_user\_op\_tx**

> TransactionAPIResponse sign\_broadcast\_user\_op\_tx(authorization, account\_name, input\_body)

#### Example

* Api Key Authentication (ApiKeyAuth):
* Api Key Authentication (BearerAuth):

```python
import time
import os
import moonsdk
from moonsdk.models.input_body import InputBody
from moonsdk.models.transaction_api_response import TransactionAPIResponse
from moonsdk.rest import ApiException
from pprint import pprint

# Defining the host is optional and defaults to https://moon-vault-api-git-ew-supabase-migration-moonup.vercel.app
# See configuration.py for a list of all supported configuration parameters.
configuration = moonsdk.Configuration(
    host = "https://moon-vault-api-git-ew-supabase-migration-moonup.vercel.app"
)

# The client must configure the authentication and authorization parameters
# in accordance with the API server security policy.
# Examples for each auth method are provided below, use the example that
# satisfies your auth use case.

# Configure API key authorization: ApiKeyAuth
configuration.api_key['ApiKeyAuth'] = os.environ["API_KEY"]

# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['ApiKeyAuth'] = 'Bearer'

# Configure API key authorization: BearerAuth
configuration.api_key['BearerAuth'] = os.environ["API_KEY"]

# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['BearerAuth'] = 'Bearer'

# Enter a context with an instance of the API client
async with moonsdk.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = moonsdk.Erc4337Api(api_client)
    authorization = 'authorization_example' # str | 
    account_name = 'account_name_example' # str | 
    input_body = moonsdk.InputBody() # InputBody | 

    try:
        api_response = await api_instance.sign_broadcast_user_op_tx(authorization, account_name, input_body)
        print("The response of Erc4337Api->sign_broadcast_user_op_tx:\n")
        pprint(api_response)
    except Exception as e:
        print("Exception when calling Erc4337Api->sign_broadcast_user_op_tx: %s\n" % e)
```

#### Parameters

| Name              | Type                                       | Description | Notes |
| ----------------- | ------------------------------------------ | ----------- | ----- |
| **authorization** | **str**                                    |             |       |
| **account\_name** | **str**                                    |             |       |
| **input\_body**   | [**InputBody**](/sdks/python/inputbody.md) |             |       |

#### Return type

[**TransactionAPIResponse**](/sdks/python/transactionapiresponse.md)

#### Authorization

[ApiKeyAuth](/sdks/python.md#ApiKeyAuth), [BearerAuth](/sdks/python.md#BearerAuth)

#### HTTP request headers

* **Content-Type**: application/json
* **Accept**: application/json

#### HTTP response details

| Status code | Description | Response headers |
| ----------- | ----------- | ---------------- |
| **200**     | Ok          | -                |

[\[Back to top\]](/sdks/python/erc4337api.md) [\[Back to API list\]](/sdks/python.md#documentation-for-api-endpoints) [\[Back to Model list\]](/sdks/python.md#documentation-for-models) [\[Back to README\]](/sdks/python.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.usemoon.ai/sdks/python/erc4337api.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
